import 'package:json_annotation/json_annotation.dart';

part 'base.g.dart';


@JsonSerializable()
class PaymentBaseRequest {
  final String idempotencyKey;
  final Map<String, String>? metadata;

  const PaymentBaseRequest({
    required this.idempotencyKey,
    this.metadata,
  });

  factory PaymentBaseRequest.fromJson(Map<String, dynamic> json) => _$PaymentBaseRequestFromJson(json);
  Map<String, dynamic> toJson() => _$PaymentBaseRequestToJson(this);

}